<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<title>Role Help</title>
<link rel="stylesheet" type="text/css" href="formate.css">
<style type="text/css">
body { background-color:#F8F8F8;
       font-size:80%;
	   font-family:Helvetica,Arial,sans-serif;}
td   { background-color:#F8F8F8;
       font-size:100%;
	   font-family:Helvetica,Arial,sans-serif;}

</style>

</head>
<body>
<h3>Hints on Search</h3>

<h4>1. Search Endpoint</h4>
Declares against which search repository the request is raised. The two possibilities are:
<table cellpadding="5">
<tr><td><i>Search in my projects</i></td><td>the by default requested repository which can only be used after authentication.</td></tr>
<tr><td><i>Search in public data in the TextGridRep</i></td><td>the public repository contains only published objects and is also searchable without authentication.</td></tr>
</table>


<h4>2. Simple Search</h4>
In the text box you can enter the term you like to search for. If the text box has the focus you can start the search by the return key,
otherwise you have to press the search button. There exist three different search modes: 
<table cellpadding="5">
<tr><td><i>Search Fulltext</i></td><td>only the fulltext section of an object is searched for hits</td></tr>
<tr><td><i>Search Metadata</i></td><td>only the metadata section of an object is searched for hits</td></tr>
<tr><td><i>Search Both</i></td><td>both the fulltext and the metadata section of an object are searched for hits</td></tr>
</table>

<h5>2.1 Examples</h5>
<h5>2.1.1 Fulltext</h5>
<table cellpadding="5" border="1" rules="all">
<tr><td><b>term</b></td><td><b>result</b></td><td><b>comment</b></td></tr>
<tr><td><i>junger</i></td><td>all objects where the fulltext section contains <i>junger</i></td><td></td></tr>
<tr><td></i>junger goethe</i></td><td>all objects where the fulltext section contains <i>junger</i> and <i>goethe</i></td><td>AND relation</td></tr>
<tr><td></i>junger AND goethe</i></td><td>all objects where the fulltext section contains <i>junger</i> and <i>goethe</i></td><td>AND relation</td></tr>
<tr><td></i>junger OR goethe</i></td><td>all objects where the fulltext section contains <i>junger</i> or <i>goethe</i></td><td>OR relation</td></tr>
</table>
Hint:<br>
"or" relations are stronger than "and" relations, so the "or" relations are processed first.

<h5>2.1.2 Metadata</h5>
The metadata search works just like the fulltext seach. The search strings can be combined with <i>and</i> respectively <i>or</i>.<br><br>
Another way to search for metadata results is to specify the metadata which should be searched for. The notiation is: <b>metadata-tag:search-term</b><br>
Here are some examples:

<table cellpadding="5" border="1" rules="all">
<tr><td><b>term</b></td><td><b>result</b></td><td><b>comment</b></td></tr>
<tr><td><i>title:Werther</i></td><td>all object where the title tag in the objects metadata contains <i>Werther</i></td><td></td></tr>
<tr><td></i>title:"Die Leiden des jungen Werther"</i></td><td>all object where the title tag in the objects metadata contains <i>Die Leiden des jungen Werther</i></td><td></td></tr>
<tr><td></i>title:Werther or title:"Die Leiden" and format:text/xml </i></td><td>all object where the title tag in the objects metadata contains <i>Werther</i> or <i>Die Leiden</i>
and the format is <i>text/xml</i></td><td>the "or" relation is stronger than the "and" relation means:<br>(title:Werther or title:"Die Leiden") and format:text/xml</td></tr>
<tr><td></i>title:Werther and title:"Die Leiden" or format:text/xml </i></td><td>all object where the title tag in the objects metadata contains <i>Die Leiden</i>
<b>or</b> the format is <i>text/xml</i> <b>and</b> the title tag contains <i>Werther</i></td><td>the "or" relation is stronger than the "and" relation means:<br>title:Werther and (title:"Die Leiden" or format:text/xml)</td></tr>
</table>
All possible matadata tags can be used in the search (see metadata TextGrid documentation).<br><br>
Hints:<br> 
At the moment the metadata search is case sensitive, this will be changed soon.<br>
Enclosing the search terms in brackets to manipulate the search result isn't possible currently. 


<h4>3. Advanced Search</h4>
In the advanced search you can raise a search request with the help of a given form. This form consists of three different sections. 
These sections can be selected by a checkbox. A selected section is regarded for the search request. The metadata and the fulltext search
can be combined, the baseline encoding search can only be executed separately.

<h5>3.1 Metadata</h5> 
The metadata section gives the possibility to search for different fields. This form is organized as a matrix. Each row represents the search for one metadata field. 
The field can be selected by a combo box at the beginning of the line. The search stings can be entered in the text boxes behind. These text boxes are "or" related. 
The different lines are "and" related. The searchable metadata fields are currently: 
<table cellpadding="5">
<tr><td><i>Data Contributor</i></td><td>a person that submits data in TextGrid, identified by its user ID (e.g. testuser@textgrid.de)</td></tr>
<tr><td><i>Identifier</i></td><td>an identifier in non-TextGrid context (e.g., a ISBN or ISSN, a shelfmark, a registration or inventarynumber)</td></tr>
<tr><td><i>Notes</i></td><td>some additional information concerning the object</td></tr>
<tr><td><i>Project</i></td><td>the TextGrid project where the object is assigned to</td></tr>
<tr><td><i>Rights Holder</i></td><td>person or organization with copyright for an item</td></tr>
<tr><td><i>Textgrid URI</i></td><td>the internal Uniform Resource Identifier of an object</td></tr>
<tr><td><i>Title</i></td><td>the title of an object</td></tr>
</table>

The expandable labels <i>Text types</i>, <i>Content types</i>, <i>Languages</i> contain checkable tree controls, which can be used to define the search closer.
<br>
With the assistance of the <i>Date</i> field there can be set a timeframe. There must be set "from date" and a "to date". The date is only regarded, if the between button is checked. 

<h5>3.2 Fulltext</h5> 
By fulltext search only the text section of an object is searched for hits. In the text box you can enter the term you like to search for.
If you fill in more than one word, the words will be "and" related for the search.
By the word distance you can declare whether the words should only be found in one document or they should occur within a special word distance. 

<h5>3.3 Baseline Encoding</h5>
Baseline Encoding is a text-type specific encoding which is based on the TEI P5 standard. Its function is to enable structured search and processing capabilities across the TextGrid
data pools. 
Only baseline encoded TextGrid object can be found by this search opportunity.
<br>
Similar to the metadata search the baseline encoding search form is organized as a matrix. In the first text box of a line the searched tag should be filled in. 
In the following text boxes of this line the searched content can be filled in. The text boxes of a line are "or" related. The different lines are "and" related. 
 
</body>
</html>